Old versions of ably-dotnet (before 1.1.14) have a bug where they unnecessarily use token auth (with client-library-signed token requests) when a clientId is specified. This is fixed in newer versions. Please upgrade to the latest version of the ably-dotnet client library.